export declare class BitString {
    value: ReadonlyArray<number>;
    constructor(...args: any[]);
    readonly length: number;
    readonly bit_size: number;
    readonly byte_size: number;
    get(index: number): number;
    count(): number;
    slice(start: number, end?: number): BitString;
    [Symbol.iterator](): IterableIterator<number>;
    toString(): string;
    private process(bitStringParts);
    private process_integer(value);
    private process_float(value);
    private process_bitstring(value);
    private process_binary(value);
    private process_utf8(value);
    private process_utf16(value);
    private process_utf32(value);
    private process_signed(value);
    private process_unsigned(value);
    private process_native(value);
    private process_big(value);
    private process_little(value);
    private process_size(value);
    private process_unit(value);
    static integer(value: any): any;
    static float(value: any): any;
    static bitstring(value: any): any;
    static bits(value: any): any;
    static binary(value: any): any;
    static bytes(value: any): any;
    static utf8(value: any): any;
    static utf16(value: any): any;
    static utf32(value: any): any;
    static signed(value: any): any;
    static unsigned(value: any): any;
    static native(value: any): any;
    static big(value: any): any;
    static little(value: any): any;
    static size(value: any, count: any): any;
    static unit(value: any, count: any): any;
    static wrap(value: any, opt: any, new_attribute?: string): any;
    static toUTF8Array(str: string): number[];
    static toUTF16Array(str: string): number[];
    static toUTF32Array(str: string): number[];
    static float32ToBytes(f: number): number[];
    static float64ToBytes(f: number): number[];
}
