import { PID } from '../erlang-types';
export declare class Scheduler {
    private reductions_per_process;
    invokeLater: (callback) => void;
    private isRunning;
    private queues;
    constructor(throttle?: number, reductions_per_process?: number);
    addToQueue(pid: PID, task: Function): void;
    removePid(pid: PID): void;
    run(): void;
    schedule(pid: PID, task: Function): void;
    scheduleFuture(pid: PID, dueTime: number, task: Function): void;
    private addToScheduler(pid, task, dueTime?);
}
